
Smart Proxy - Refactor #27048

Deprecate Proxy::Dns::Record#get_{name,ipv{4,6}_address,resource_as_string}{,!} methods

06/13/2019 12:55 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: DNS   

Target version: 1.23.0   

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/659

  

Description

These methods are unused since 1.16 and only clutter up the API.

Associated revisions

Revision ee1dcd16 - 06/14/2019 07:53 AM - Ewoud Kohl van Wijngaarden

Fixes #27048 - Deprecate methods to get DNS records

These methods are unused since bfbdeeb90e344ee8b0c9950f85b159035d9cbfbe

(1.16) and can be removed to clean up the API.

History

#1 - 06/13/2019 12:56 PM - Ewoud Kohl van Wijngaarden

- Subject changed from Deprecate Proxy::Dns::Record#get_{name,ipv{4,6}_address}{,!} methods to Deprecate

Proxy::Dns::Record#get_{name,ipv{4,6}_address,resource_as_string}{,!} methods

#2 - 06/13/2019 12:58 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/smart-proxy/pull/659 added

#3 - 06/14/2019 08:02 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset ee1dcd16bdba277294cb9c744b667f911e1ea7c7.
